Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class AttrNSImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.AttrImpl
              weblogic.apache.xerces.dom.AttrNSImpl

All Implemented Interfaces:
  Serializable, Cloneable, Attr, EventTarget, Node, NodeList

Direct Known Subclasses:
  DeferredAttrNSImpl, PSVIAttrNSImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class AttrNSImpl

extends AttrImpl

AttrNSImpl inherits from AttrImpl and adds namespace support.

The qualified name is the node name, and we store localName which is also used in all queries. On the other hand we recompute the prefix when necessary.

See Also:
  Serialized Form

Field Summary
`protected String` | `localName` Deprecated. DOM2: localName.
`protected String` | `namespaceURI` Deprecated. DOM2: Namespace URI.

Fields inherited from class weblogic.apache.xerces.dom.AttrImpl
`name, textNode, value`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`` | `AttrNSImpl()` Deprecated.
`protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, String value)` Deprecated.
`protected` | `AttrNSImpl(CoreDocumentImpl ownerDocument, String namespaceURI, String qualifiedName)` Deprecated. DOM2: Constructor for Namespace implementation.
`` | `AttrNSImpl(CoreDocumentImpl ownerDocument, String namespaceURI, String qualifiedName, String localName)` Deprecated.

Method Summary
`String` | `getLocalName()` Deprecated. Introduced in DOM Level 2.
`String` | `getNamespaceURI()` Deprecated. Introduced in DOM Level 2.
`String` | `getPrefix()` Deprecated. Introduced in DOM Level 2.
`void` | `setPrefix(String prefix)` Deprecated. Introduced in DOM Level 2.
`void` | `setValues(CoreDocumentImpl ownerDocument, String namespaceURI, String qualifiedName, String localName)` Deprecated. NON-DOM: resets this node and sets specified values for the node

Methods inherited from class weblogic.apache.xerces.dom.AttrImpl
`cloneNode, getChildNodes, getElement, getFirstChild, getLastChild, getLength, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSpecified, getValue, hasChildNodes, insertBefore, isEqualNode, item, makeChildNode, normalize, removeChild, replaceChild, setIdAttribute, setNodeValue, setReadOnly, setSpecified, setValue, synchronizeChildren, toString`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getInterface, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setTextContent, setUserData, setUserData, synchronizeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Attr
`getSchemaTypeInfo, isId`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setTextContent, setUserData`

Field Detail

### namespaceURI

    protected String namespaceURI

  Deprecated.
  DOM2: Namespace URI.

### localName

    protected String localName

  Deprecated.
  DOM2: localName.

Constructor Detail

### AttrNSImpl

    public AttrNSImpl()

  Deprecated.

### AttrNSImpl

    protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                         String namespaceURI,
                         String qualifiedName)

  Deprecated.
  DOM2: Constructor for Namespace implementation.

### AttrNSImpl

    public AttrNSImpl(CoreDocumentImpl ownerDocument,
                      String namespaceURI,
                      String qualifiedName,
                      String localName)

  Deprecated.

### AttrNSImpl

    protected AttrNSImpl(CoreDocumentImpl ownerDocument,
                         String value)

  Deprecated.

Method Detail

### setValues

    public void setValues(CoreDocumentImpl ownerDocument,
                          String namespaceURI,
                          String qualifiedName,
                          String localName)

  Deprecated.
  NON-DOM: resets this node and sets specified values for the node

  Parameters:
    `ownerDocument` -
    `namespaceURI` -
    `qualifiedName` -
    `localName` -

### getNamespaceURI

    public String getNamespaceURI()

  Deprecated.
  Introduced in DOM Level 2.

  The namespace URI of this node, or null if it is unspecified.

  This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Specified by:
    `getNamespaceURI` in interface `Node`
  Overrides:
    `getNamespaceURI` in class `NodeImpl`
  Since:
    WD-DOM-Level-2-19990923
  See Also:
    `AttrNSImpl`, `ElementNSImpl`

### getPrefix

    public String getPrefix()

  Deprecated.
  Introduced in DOM Level 2.

  The namespace prefix of this node, or null if it is unspecified.

  For nodes created with a DOM Level 1 method, such as createElement from the Document interface, this is null.

  Specified by:
    `getPrefix` in interface `Node`
  Overrides:
    `getPrefix` in class `NodeImpl`
  Since:
    WD-DOM-Level-2-19990923
  See Also:
    `AttrNSImpl`, `ElementNSImpl`

### setPrefix

    public void setPrefix(String prefix)
                   throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Note that setting this attribute changes the nodeName attribute, which holds the qualified name, as well as the tagName and name attributes of the Element and Attr interfaces, when applicable.

  Specified by:
    `setPrefix` in interface `Node`
  Overrides:
    `setPrefix` in class `NodeImpl`
  Parameters:
    `prefix` - The namespace prefix of this node, or null(empty string) if it is unspecified.
  Throws:
    `INVALID_CHARACTER_ERR` - Raised if the specified prefix contains an invalid character.
    `DOMException`
  Since:
    WD-DOM-Level-2-19990923
  See Also:
    `AttrNSImpl`, `ElementNSImpl`

### getLocalName

    public String getLocalName()

  Deprecated.
  Introduced in DOM Level 2.

  Returns the local part of the qualified name of this node.

  Specified by:
    `getLocalName` in interface `Node`
  Overrides:
    `getLocalName` in class `NodeImpl`
  Since:
    WD-DOM-Level-2-19990923
  See Also:
    `AttrNSImpl`, `ElementNSImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD